export declare class EclMegaMenu {
    el: HTMLElement;
    styleClass: string;
    theme: string;
    noScript: boolean;
    menuId?: string;
    ariaLabel: string;
    backLabel?: string;
    toggleLabel?: string;
    featuredPriority: 'primary' | 'secondary';
    componentWillLoad(): void;
    componentDidLoad(): void;
    getClass(): string;
    render(): any;
}
